Bug 194214 - gawk coredumps on syntax error
gawk coredumps on syntax error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gawk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-06 07:18 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-23 12:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-06-06 07:18:02 EDT
Version-Release number of selected component (if applicable):
gawk-3.1.5-6.2

How reproducible:
always

Steps to Reproduce:
LANG=C awk '/^include / { system(sprintf("cd /etc; cat %s", [$]2)); skip = 1; }
{ if (!skip) print [$]0; skip = 0; }' < /etc/ld.so.conf

Actual results:
awk: /^include / { system(sprintf("cd /etc; cat %s", [$]2)); skip = 1; } { if
(!skip) print [$]0; skip = 0; }
awk:                                                 ^ syntax error
awk: fatal error: internal error
Abgebrochen (core dumped)


Expected results:
gawk should just print 'syntax error'

Additional info:
The correct syntax works:
LANG=C awk '/^include / { system(sprintf("cd /etc; cat %s", $2)); skip = 1; } {
if (!skip) print $0; skip = 0; }' < /etc/ld.so.conf

Note You need to log in before you can comment on or make changes to this bug.